package websocket4j.mbed_demo;

import org.glassfish.grizzly.http.HttpRequestPacket;
import org.glassfish.grizzly.websockets.ProtocolHandler;
import org.glassfish.grizzly.websockets.WebSocket;
import org.glassfish.grizzly.websockets.WebSocketApplication;
import org.glassfish.grizzly.websockets.WebSocketListener;

public class EchoApplication extends WebSocketApplication
{
    @Override
    public boolean isApplicationRequest(HttpRequestPacket httpRequestPacket)
    {
        return httpRequestPacket.getRequestURI().equals("/echo");
    }

    @Override
    public void onMessage(WebSocket webSocket, String text)
    {
        webSocket.send(text);
    }

    @Override
    public WebSocket createSocket(ProtocolHandler protocolHandler, WebSocketListener... listeners)
    {
        return new PushSocket(protocolHandler, listeners);
    }

}
